## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate tree-sitter-bash

Name:           rust-tree-sitter-bash
Version:        0.23.3
Release:        %autorelease
Summary:        Bash grammar for tree-sitter

License:        MIT
URL:            https://crates.io/crates/tree-sitter-bash
Source:         %{crates_source}
# * include license file
# * https://github.com/tree-sitter/tree-sitter-bash/pull/286
Source1:        https://raw.githubusercontent.com/tree-sitter/tree-sitter-bash/refs/tags/v%{version}/LICENSE
# Manually created patch for downstream crate metadata changes
# * include LICENSE
Patch:          tree-sitter-bash-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Bash grammar for tree-sitter.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# copy in license file
cp -p %{SOURCE1} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Feb 13 2025 Michel Lind <salimma@fedoraproject.org> - 0.23.3-8
- Fix license installation

* Tue Feb 11 2025 solomocyj <solomoncyj@gmail.com> - 0.23.3-7
- [nochangelog] fixed copy

* Tue Feb 11 2025 solomocyj <solomoncyj@gmail.com> - 0.23.3-6
- [nochangelog] fixed copy

* Mon Feb 10 2025 solomocyj <solomoncyj@gmail.com> - 0.23.3-5
- [nochangelog] fixed license

* Thu Feb 06 2025 solomocyj <solomoncyj@gmail.com> - 0.23.3-4
- [nochangelog] fixed sources

* Sun Feb 02 2025 solomocyj <solomoncyj@gmail.com> - 0.23.3-3
- [nochangelog] edit sources and added rust2rpm.toml

* Sun Feb 02 2025 solomocyj <solomoncyj@gmail.com> - 0.23.3-2
- fixed wrong sources checksum

* Sun Feb 02 2025 solomocyj <solomoncyj@gmail.com> - 0.23.3-1
- init: v0.23.3-1
## END: Generated by rpmautospec
